<?php

define( 'PATH_BASE', realpath(dirname(__FILE__).'/../..' ));
require(PATH_BASE.'/config/config.inc.php');

require_once((__DIR__).'/vendor/autoload.php');

use at\externet\eps_bank_transfer;

/**
 * @param string $plainXml Raw XML message, according to "Abbildung 6-6: PaymentConfirmationDetails" (eps Pflichtenheft 2.5)
 * @param at\externet\eps_bank_transfer\BankConfirmationDetails $bankConfirmationDetails
 * @return true
 */
$paymentConfirmationCallback = function($plainXml, $bankConfirmationDetails)
{
	$module = Module::getInstanceByName('eps');
	$cart = new Cart($bankConfirmationDetails->GetRemittanceIdentifier());
	$customer = new Customer($cart->id_customer);
	$total = $_GET['total'];
	$currency = $cart->id_currency;

	if ($bankConfirmationDetails->GetStatusCode() == 'OK')
	{
	  	$module->validateOrder((int)$cart->id, Configuration::get('PS_OS_PAYMENT'), $total, $module->displayName, null, (int)$currency, false, $customer->secure_key);
	}
	elseif ($bankConfirmationDetails->GetStatusCode() == 'NOK') 
	{
		$module->validateOrder((int)$cart->id, Configuration::get('PS_OS_CANCELED'), $total, $module->displayName, null, (int)$currency, false, $customer->secure_key);
	}

  return true; 
};

$soCommunicator = new eps_bank_transfer\SoCommunicator();

$soCommunicator->HandleConfirmationUrl(
  $paymentConfirmationCallback,
  null,
  'php://input',        
  'php://output'        
);